<?php

namespace App\Providers;

use App\WorkOrderManagement\Work\WorkOrder;
use App\WorkOrderManagement\Work\WorkOrderMessage;
use App\WorkOrderManagement\Work\WorkOrderObserver;
use App\WorkOrderManagement\Work\WorkOrderMessageObserver;
use Illuminate\Contracts\Events\Dispatcher as DispatcherContract;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;

class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
        'App\Events\SomeEvent' => [
            'App\Listeners\EventListener',
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param  \Illuminate\Contracts\Events\Dispatcher  $events
     * @return void
     */
    public function boot(DispatcherContract $events)
    {
        parent::boot($events);

        WorkOrder::observe(WorkOrderObserver::class);

        WorkOrderMessage::observe(WorkOrderMessageObserver::class);
    }
}
